# $Revision: 1.23 $, $Date: 2010/06/06 17:20:05 $
%define		modname	vld
%define		status	beta
Summary:	%{modname} - provides functionality to dump the internal representation of PHP scripts
Summary(pl.UTF-8):	%{modname} - dostarcza funkcjonalności do zrzutu wewnętrznej reprezentacji skryptów PHP
Name:		php-pecl-%{modname}
Version:	0.10.1
Release:	1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	c050c9aae5aeb83f012635619c568ddb
URL:		http://pecl.php.net/package/vld/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Vulcan Logic Disassembler hooks into the Zend Engine and dumps all
the opcodes (execution units) of a script.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Vulcan Logic Disassembler podłącza się do silnika Zend i zwraca
wszystkie jednostki wykonawcze (tzw. opcody) danego skryptu.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc Changelog CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-vld.spec,v $
Revision 1.23  2010/06/06 17:20:05  glen
- release 1

Revision 1.22  2010/06/02 14:26:27  glen
- up to 0.10.1, needs fix for php53

Revision 1.21  2009/03/16 09:39:57  duddits
- up to 0.9.1
- pl desc reviewed and fixed

Revision 1.20  2008/03/21 16:50:25  adamg
- updated to 0.9.0

Revision 1.19  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.17  2007/01/02 20:15:00  glen
- use new php extension related macros

Revision 1.16  2006/12/13 23:50:13  glen
- rel 7 (php 5.2.0)

Revision 1.15  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.14  2005/12/23 00:01:35  adamg
- fix build with php5.1
- release 6

Revision 1.13  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.12  2005/10/30 13:29:27  glen
- rel 4

Revision 1.11  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.10  2005/09/14 22:39:45  glen
- rel 2

Revision 1.9  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.8  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/02/05 20:42:35  adamg
- updated to 0.8.0

Revision 1.5  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/05/30 16:02:13  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2003/10/15 17:37:05  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.2  2003/10/07 20:57:21  adamg
- do not use macros in URL

Revision 1.1  2003/09/18 20:08:00  adamg
- initial import
